Bug 467413 - (mingw32-fontconfig) Review Request: mingw32-fontconfig - MinGW Windows Fontconfig library
Review Request: mingw32-fontconfig - MinGW Windows Fontconfig library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On: 454410 mingw32-freetype mingw32-libxml2 mingw32-expat
Blocks: mingw32-pango
  Show dependency treegraph
 
Reported: 2008-10-17 07:23 EDT by Richard W.M. Jones
Modified: 2009-03-16 15:52 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.6.0-9.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 15:52:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pbrobinson: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 2 Richard W.M. Jones 2009-02-06 08:03:30 EST
Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/file/tip/fontconfig/mingw32-fontconfig.spec
SRPM URL: http://annexia.org/tmp/mingw/fedora-rawhide/src/SRPMS/mingw32-fontconfig-2.6.0-7.fc11.src.rpm

* Fri Jan 30 2009 Richard W.M. Jones <rjones@redhat.com> - 2.6.0-7
- Requires pkgconfig.

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 2.6.0-6
- Use _smp_mflags.
- Rebuild libtool configuration.
- More BRs suggested by auto-buildrequires.
Comment 3 Peter Robinson 2009-02-18 08:36:54 EST
The SRPM URL is invalid, I presume that's because -8 has replaced it.
Comment 4 Peter Robinson 2009-02-18 09:02:55 EST
Mostly OK except that it fails to build due to lack of mingw32-expat and I don't see a mingw32-expat package review. Maybe its been missed.

One other small one is that the patch line should prob use the named option. EG %patch0 -p1 -b .remove-logfile or similar.

+ rpmlint output

$ rpmlint -i mingw32-fontconfig-2.6.0-8.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
ab54ec1d4ddd836313fdbc0cd5299d6d  fontconfig-2.6.0.tar.gz
- package successfully builds on at least one architecture
  tested using koji scratch build
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1135503

  Failing due to lack of mingw32-expat

+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
n/a package owns all directories it creates
n/a no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
+ packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
n/a packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if
available
- reviewer should build the package in mock/koji
n/a the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin
Comment 5 Peter Robinson 2009-02-27 06:52:40 EST
Any update on a review request for mingw32-expat?
Comment 6 Michel Alexandre Salim 2009-03-09 11:49:36 EDT
ping. The missing mingw32-expat review request is blocking fontconfig -> pango -> gtk2 -> gtkvnc
Comment 7 Richard W.M. Jones 2009-03-09 14:33:17 EDT
mingw32-expat (bug 489353) has now been reviewed
and is in the process of being imported to CVS.
Comment 8 Peter Robinson 2009-03-09 18:52:41 EDT
I'm approving this as once the mingw32-expat hits rawhide it will build and its not option for the review.

APPROVED!
Comment 9 Richard W.M. Jones 2009-03-10 03:15:09 EDT
New Package CVS Request
=======================
Package Name: mingw32-fontconfig
Short Description: MinGW fontconfig library
Owners: rjones berrange
Branches: F-10 EL-5
InitialCC:
Comment 10 Dennis Gilmore 2009-03-10 16:16:32 EDT
CVS Done
Comment 11 Fedora Update System 2009-03-13 15:26:56 EDT
mingw32-fontconfig-2.6.0-9.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-fontconfig-2.6.0-9.fc10
Comment 12 Fedora Update System 2009-03-16 15:52:23 EDT
mingw32-fontconfig-2.6.0-9.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.